package com.fuint.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fuint.common.dto.MtPurchaseOrderDto;
import com.fuint.common.vo.MtPurchaseOrderVo;
import com.fuint.framework.pagination.PaginationRequest;
import com.fuint.framework.pagination.PaginationResponse;
import com.fuint.framework.web.PageResult;
import com.fuint.repository.model.MtPurchaseOrder;
import com.fuint.framework.exception.BusinessCheckException;
import java.util.List;
import java.util.Map;

/**
 * 采购订单表业务接口
 *
 * Created by huangwen
 * CopyRight https://www.fuint.cn
 */
public interface PurchaseOrderService extends IService<MtPurchaseOrder> {

    MtPurchaseOrderVo queryPurchaseOrderById(Long id) throws BusinessCheckException;

    PageResult<MtPurchaseOrderVo> queryOrderPageList(MtPurchaseOrderDto mtPurchaseOrderDto) throws BusinessCheckException;

    void savePurcahseOrder(MtPurchaseOrderDto mtPurchaseOrderDto);

    void updatePurchaseOrderByOrderNo(MtPurchaseOrderDto mtPurchaseOrderDto);

    void deletePurchaseOrderByOrderNo(Long orderNo);
}
